This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 1037984 - (CVE-2013-6424) CVE-2013-6424 xorg-x11-server: integer underflow when handling trapezoids
CVE-2013-6424 xorg-x11-server: integer underflow when handling trapezoids
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20130716,repo...
: Security
Depends On: 1043751 1043752 1043753 1043754 1043755 1043756
Blocks: 1037986
  Show dependency treegraph
 
Reported: 2013-12-04 03:23 EST by Murray McAllister
Modified: 2015-10-15 14:07 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-24 00:24:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Murray McAllister 2013-12-04 03:23:47 EST
An integer underflow flaw was found in the X.Org server when handling trapezoids. A malicious, authorized client could use this flaw to crash the X.Org server.

References:
http://seclists.org/oss-sec/2013/q4/399
http://patchwork.freedesktop.org/patch/14769/
Comment 4 Huzaifa S. Sidhpurwala 2013-12-16 23:47:31 EST
Note:

On Further investigation it was discovered that there may be a possibility of arbitrary user controlled code execution in this particular flaw. Security impact and the cvss2 scoring has been adjusted accordingly.
Comment 6 Huzaifa S. Sidhpurwala 2013-12-17 00:06:36 EST
Created xorg-x11-server tracking bugs for this issue:

Affects: fedora-all [bug 1043751]
Comment 8 errata-xmlrpc 2013-12-20 05:59:31 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5

Via RHSA-2013:1868 https://rhn.redhat.com/errata/RHSA-2013-1868.html

Note You need to log in before you can comment on or make changes to this bug.